Bug 1266486 - [abrt] gnome-shell: g_hash_table_contains(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: g_hash_table_contains(): gnome-shell killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:87f176d393012af1f5bdc19ebfd...
:
: 1266545 (view as bug list)
Depends On:
Blocks: F23FinalFreezeException
  Show dependency treegraph
 
Reported: 2015-09-25 08:10 EDT by Berend De Schouwer
Modified: 2015-10-24 08:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-24 08:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.57 KB, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: core_backtrace (10.35 KB, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: dso_list (25.84 KB, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: environ (810 bytes, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: maps (163.12 KB, text/plain)
2015-09-25 08:10 EDT, Berend De Schouwer
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-09-25 08:11 EDT, Berend De Schouwer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-25 08:11 EDT, Berend De Schouwer
no flags Details
File: open_fds (7.78 KB, text/plain)
2015-09-25 08:11 EDT, Berend De Schouwer
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-09-25 08:11 EDT, Berend De Schouwer
no flags Details
File: var_log_messages (316 bytes, text/plain)
2015-09-25 08:11 EDT, Berend De Schouwer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 755096 None None None Never

  None (edit)
Description Berend De Schouwer 2015-09-25 08:10:36 EDT
Description of problem:
Lock / unlock screen.

Unlock gave me login options instead of login options.

Version-Release number of selected component:
gnome-shell-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: g_hash_table_contains
executable:     /usr/bin/gnome-shell
global_pid:     2270
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 g_hash_table_contains at ghash.c:373
 #2 set_surface_is_on_output at wayland/meta-wayland-surface.c:950
Comment 1 Berend De Schouwer 2015-09-25 08:10:42 EDT
Created attachment 1077051 [details]
File: backtrace
Comment 2 Berend De Schouwer 2015-09-25 08:10:44 EDT
Created attachment 1077052 [details]
File: cgroup
Comment 3 Berend De Schouwer 2015-09-25 08:10:46 EDT
Created attachment 1077053 [details]
File: core_backtrace
Comment 4 Berend De Schouwer 2015-09-25 08:10:49 EDT
Created attachment 1077054 [details]
File: dso_list
Comment 5 Berend De Schouwer 2015-09-25 08:10:51 EDT
Created attachment 1077055 [details]
File: environ
Comment 6 Berend De Schouwer 2015-09-25 08:10:53 EDT
Created attachment 1077056 [details]
File: exploitable
Comment 7 Berend De Schouwer 2015-09-25 08:10:55 EDT
Created attachment 1077057 [details]
File: limits
Comment 8 Berend De Schouwer 2015-09-25 08:10:58 EDT
Created attachment 1077058 [details]
File: maps
Comment 9 Berend De Schouwer 2015-09-25 08:11:00 EDT
Created attachment 1077059 [details]
File: mountinfo
Comment 10 Berend De Schouwer 2015-09-25 08:11:02 EDT
Created attachment 1077060 [details]
File: namespaces
Comment 11 Berend De Schouwer 2015-09-25 08:11:04 EDT
Created attachment 1077061 [details]
File: open_fds
Comment 12 Berend De Schouwer 2015-09-25 08:11:06 EDT
Created attachment 1077062 [details]
File: proc_pid_status
Comment 13 Berend De Schouwer 2015-09-25 08:11:08 EDT
Created attachment 1077064 [details]
File: var_log_messages
Comment 14 Berend De Schouwer 2015-09-25 08:19:31 EDT
Probably related: xorg-x11-drv-intel crash #1241197
Comment 15 Owen Taylor 2015-09-25 11:08:01 EDT
*** Bug 1266545 has been marked as a duplicate of this bug. ***
Comment 16 Jonas Ådahl 2015-09-28 23:47:43 EDT
Most likely fixed by https://bugzilla.gnome.org/show_bug.cgi?id=755096 .
Comment 17 Owen Taylor 2015-09-29 09:05:29 EDT
Thanks Jonas - that does seem like the same bug. The fix landed after 3.18.0, so will be in 3.18.1 or if we make a patched Fedora mutter package.
Comment 18 Chris Irwin 2015-10-19 01:08:05 EDT
Another user experienced a similar problem:

Fedora 23, Gnome-shell on wayland (started via gdm on wayland).

Pressed Fn+F7 on my Thinkpad, attempting to switch to external-only display mode. Caused immediate crash back to gdm.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: g_hash_table_lookup_node
executable:     /usr/bin/gnome-shell
global_pid:     2192
kernel:         4.2.3-200.fc22.x86_64
package:        gnome-shell-3.18.1-1.fc23
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1026
Comment 19 Jonas Ådahl 2015-10-19 01:13:43 EDT
Since this seems to reproduce with the above linked fix in place, I suspect it instead is this one: https://bugzilla.gnome.org/show_bug.cgi?id=756548
Comment 20 Fedora Update System 2015-10-21 05:15:52 EDT
mutter-3.18.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bebede9f5b
Comment 21 Adam Williamson 2015-10-21 17:40:43 EDT
Nominating as a final FE; Wayland stuff can't block release as it's not default, but FE to fix crashers sure seems reasonable. It's definitely possible people (inc. reviewers) might install the live and immediately test Wayland without updating, and if it crashes, that looks bad.
Comment 22 Kalev Lember 2015-10-21 17:44:27 EDT
+1 FE
Comment 23 John Dulaney 2015-10-21 17:52:13 EDT
+1 FE
Comment 24 Mike Ruckman 2015-10-21 18:08:08 EDT
+1 FE with the reasoning from c#21
Comment 25 Adam Williamson 2015-10-22 14:00:23 EDT
Discussed at 2015-10-22 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-10-22/f23-fe-review.2015-10-22-17.30.log.txt . Accepted as a freeze exception issue according to reasoning in #c21.
Comment 26 Fedora Update System 2015-10-24 08:10:18 EDT
mutter-3.18.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mutter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bebede9f5b
Comment 27 Fedora Update System 2015-10-24 08:24:52 EDT
mutter-3.18.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.